Katello - Bug #5975

Visiting the Packages tab for a content host sends the Ul into a never ending reload
05/28/2014 08:02 PM - Partha Aji
Bugzilla link: 1101732 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1101732
Description of problem:

After | registered and subscribed my content host, | used the web Ul to see the Packages tab, which then sent the Ul into a never
ending reload cycle. The URL would be something like
https://$YOUR_SERVER/content hosts/bdd66d94-7a7b-4a56-a92b-5271afadbc74/packages

Sadly there's nothing else useful for me to include here but it should be pretty easy to reproduce.
Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.7-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.7-1.el6_5.noarch
candlepin-tomcat6-0.9.7-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.13-1.el6sat.noarch
foreman-compute-1.6.0.13-1.el6sat.noarch
foreman-gce-1.6.0.13-1.el6sat.noarch
foreman-libvirt-1.6.0.13-1.el6sat.noarch
foreman-ovirt-1.6.0.13-1.el6sat.noarch
foreman-postgresql-1.6.0.13-1.el6sat.noarch
foreman-proxy-1.6.0.6-1.el6sat.noarch
foreman-selinux-1.6.0-2.el6sat.noarch
foreman-vmware-1.6.0.13-1.el6sat.noarch
katello-1.5.0-24.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.44-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
pulp-katello-plugins-0.3-1.el6sat.noarch
pulp-nodes-common-2.4.0-0.18.beta.el6sat.noarch
pulp-nodes-parent-2.4.0-0.18.beta.el6sat.noarch
pulp-puppet-plugins-2.4.0-0.18.beta.el6sat.noarch
pulp-puppet-tools-2.4.0-0.18.beta.el6sat.noarch
pulp-rpm-plugins-2.4.0-0.18.beta.el6sat.noarch
pulp-selinux-2.4.0-0.18.beta.el6sat.noarch
pulp-server-2.4.0-0.18.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
rubygem-hammer_cli-0.1.0-13.el6sat.noarch
e rubygem-hammer_cli_foreman-0.1.0-15.el6sat.noarch
e rubygem-hammer_cli_foreman_tasks-0.0.2-6.el6sat.noarch
e rubygem-hammer_cli_katello-0.0.3-26.el6sat.noarch
How reproducible:
Steps to Reproduce:
1. Register and subscribe a content host (I used an activation key fwiw)
2. Visit Content Hosts page, select your client and then click the Packages tab
3.
Actual results:

Expected results:

Additional info:

Associated revisions

Revision b6020fb6 - 05/28/2014 04:06 PM - Partha Aji

Fixes #5975 - Fix for a Content Host Ul reload issue

Previously when you went to content hosts page

and selected packages or errata links for a content host

you'd get multiple reloads. | was caused by a trailing slash.
Even though we have code to address / the modules javascript
tried to reload with a / version. This commit fixes that issue

Revision ba99a045 - 05/28/2014 04:28 PM - Partha Aji
Merge pull request #4172 from parthaa/slash-fix

Fixes #5975 - Fix for a Content Host Ul reload issue
Revision bc8ffca0 - 05/28/2014 08:06 PM - Partha Aji
Fixes #5975 - Fix for a Content Host Ul reload issue
Previously when you went to content hosts page

and selected packages or errata links for a content host
you'd get multiple reloads. | was caused by a trailing slash.

Even though we have code to address / the modules javascript
tried to reload with a / version. This commit fixes that issue

Revision a1bd062b - 05/28/2014 08:28 PM - Partha Aji
Merge pull request #4172 from parthaa/slash-fix

Fixes #5975 - Fix for a Content Host Ul reload issue

History

#1 - 05/28/2014 08:30 PM - Eric Helms
- Target version set to 45

- Triaged set to Yes

#2 - 05/28/2014 08:53 PM - Partha Aji
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:bc8ffca09303ed7b95facd39cc984e83b8b8at1a.

#3 - 08/22/2014 08:28 AM - Eric Helms

- translation missing: en.field_release set to 13
